Subject: Re: bug#12033: closed (Re: bug#12033: format should be faster)

From: Andy Wingo <[email-masked]>
Date: Tue, 21 Aug 2012 21:35:46 +0200

On Tue 21 Aug 2012 13:37, [email-masked] (Ludovic Courtès) writes:

>> It seems clear that in this case, Guile "should" know how to dispatch
>> on the format string just once, outside of the loop, instead of doing
>> it in every iteration.
>
> I think Andy would say: “inline cache!”.  :-)

:-)

There are lots of possibilities here.  You could "compile" a format
string into a closure, and save it in a hash table.  You could compile
it to Scheme and then compile that procedure.  You could recognize some
common degenerate cases.

Dunno!  In this case I would compile the string into a closure.  Seems
pretty cheap and it would kill the dispatch overhead.

Andy
-- 
http://wingolog.org/